import Qt 4.7

import "game.js" as GameScript

Image {
    property bool ground: false //tells if the ground is near
    property string blurryShadow; //OBLIGATORY
    property string sharpShadow; //OBLIGATORY
    property int offset: setOffset();

    source: whichShadow()
    scale: whichScale()

    Behavior on rotation {NumberAnimation {duration: 1000/fps; alwaysRunToEnd: false}}
    Behavior on scale {NumberAnimation {duration: 1000;}}
    Behavior on offset {NumberAnimation {duration: 3000;}}

    function setOffset(){
        if (ground) return 0;
        else return 20;
    }

    function whichShadow(){
        if (ground) return sharpShadow;
        else return blurryShadow;
    }

    function whichScale(){
        if (ground) return 1
        else return 0.5
    }

}
