import Qt 4.7
Item {

    property int itemWidth: 25;

    property string treeFile;

    width: 2*tree1.width + 3*tree1.anchors.margins
    height: 2*tree1.height + 3*tree1.anchors.margins
    Image {
        id: tree1
        source: { return treeFile? treeFile : "qrc:/images/tree.svg"}
        width: itemWidth;
        fillMode: Image.PreserveAspectFit
        anchors {
            top: parent.top;
            left: parent.left
            margins: 5;
        }
        smooth: true
    }
    Image {
        id: tree2
        source: { return treeFile? treeFile : "qrc:/images/tree.svg"}
        width: itemWidth;
        fillMode: Image.PreserveAspectFit
        anchors {
            top: tree1.bottom;
            left: tree1.horizontalCenter;
            margins: 5;
        }
        smooth: true
    }
    Image {
        id: tree3
        source: { return treeFile? treeFile : "qrc:/images/tree.svg"}
        width: itemWidth;
        fillMode: Image.PreserveAspectFit
        anchors {
            top: tree1.top;
            left: tree1.right;
            margins: 5;
        }
        smooth: true
    }
}
